# -*- encoding : utf-8 -*-
	class Public::DataFilesController < ApplicationController
	
	
	layout :get_public_layout



	def read
    if params[:lang]
      
      @lang = LangSite.find_by_slug(params[:lang])
    else
      @lang = LangSite.first
      
    end
    
    
    @data_file = DataFile.find_by_token(params[:token])
		if @data_file.show_yumpu
      
    else
      redirect_to "/"
    end
	end

end
